require("@nomiclabs/hardhat-waffle");
require('@openzeppelin/hardhat-upgrades');
// This is a sample Hardhat task. To learn how to create your own go to
// https://hardhat.org/guides/create-task.html
task("accounts", "Prints the list of accounts", async (taskArgs, hre) => {
  const accounts = await hre.ethers.getSigners();

  for (const account of accounts) {
    console.log(account.address);
  }
});

// You need to export an object to set up your config
// Go to https://hardhat.org/config/ to learn more

/**
 * @type import('hardhat/config').HardhatUserConfig
 * 0x221bd86B1198a32548Cd201D775a1E245C3DadF7
 */
module.exports = {
  solidity: "0.8.0",
  networks: {
    rinkeby: {
      url: "https://eth-rinkeby.alchemyapi.io/v2/vfdcLFOQwECexXNSekfxb0ImvAH19PbQ",
      accounts: ["6084c2a5e39fa83d5a119c3a864a442e77287f4b03bad93cef38ec5f44bca630"]
    },
  },
};
